### Hierarchy

- DiffieHellman

## Index

### Properties

- verifyError

### Methods

- computeSecret
- generateKeys
- getGenerator
- getPrime
- getPrivateKey
- getPublicKey
- setPrivateKey
- setPublicKey

## Properties

### verifyError

verifyError: number

- Defined in node_modules/@types/node/crypto.d.ts:311

## Methods

### computeSecret

- computeSecret(other_public_key: Binary): Buffer
- computeSecret(other_public_key: string, input_encoding: HexBase64Latin1Encoding): Buffer
- computeSecret(other_public_key: Binary, output_encoding: HexBase64Latin1Encoding): string
- computeSecret(other_public_key: string, input_encoding: HexBase64Latin1Encoding, output_encoding: HexBase64Latin1Encoding): string

- - Defined in node_modules/@types/node/crypto.d.ts:295

  #### Parameters

  - ##### other_public_key: Binary

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:296

  #### Parameters

  - ##### other_public_key: string

  - ##### input_encoding: HexBase64Latin1Encoding

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:297

  #### Parameters

  - ##### other_public_key: Binary

  - ##### output_encoding: HexBase64Latin1Encoding

  #### Returns string

- - Defined in node_modules/@types/node/crypto.d.ts:298

  #### Parameters

  - ##### other_public_key: string

  - ##### input_encoding: HexBase64Latin1Encoding

  - ##### output_encoding: HexBase64Latin1Encoding

  #### Returns string

### generateKeys

- generateKeys(): Buffer
- generateKeys(encoding: HexBase64Latin1Encoding): string

- - Defined in node_modules/@types/node/crypto.d.ts:293

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:294

  #### Parameters

  - ##### encoding: HexBase64Latin1Encoding

  #### Returns string

### getGenerator

- getGenerator(): Buffer
- getGenerator(encoding: HexBase64Latin1Encoding): string

- - Defined in node_modules/@types/node/crypto.d.ts:301

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:302

  #### Parameters

  - ##### encoding: HexBase64Latin1Encoding

  #### Returns string

### getPrime

- getPrime(): Buffer
- getPrime(encoding: HexBase64Latin1Encoding): string

- - Defined in node_modules/@types/node/crypto.d.ts:299

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:300

  #### Parameters

  - ##### encoding: HexBase64Latin1Encoding

  #### Returns string

### getPrivateKey

- getPrivateKey(): Buffer
- getPrivateKey(encoding: HexBase64Latin1Encoding): string

- - Defined in node_modules/@types/node/crypto.d.ts:305

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:306

  #### Parameters

  - ##### encoding: HexBase64Latin1Encoding

  #### Returns string

### getPublicKey

- getPublicKey(): Buffer
- getPublicKey(encoding: HexBase64Latin1Encoding): string

- - Defined in node_modules/@types/node/crypto.d.ts:303

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:304

  #### Parameters

  - ##### encoding: HexBase64Latin1Encoding

  #### Returns string

### setPrivateKey

- setPrivateKey(private_key: Binary): void
- setPrivateKey(private_key: string, encoding: string): void

- - Defined in node_modules/@types/node/crypto.d.ts:309

  #### Parameters

  - ##### private_key: Binary

  #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:310

  #### Parameters

  - ##### private_key: string

  - ##### encoding: string

  #### Returns void

### setPublicKey

- setPublicKey(public_key: Binary): void
- setPublicKey(public_key: string, encoding: string): void

- - Defined in node_modules/@types/node/crypto.d.ts:307

  #### Parameters

  - ##### public_key: Binary

  #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:308

  #### Parameters

  - ##### public_key: string

  - ##### encoding: string

  #### Returns void

Generated using TypeDoc